<?php 
session_start();
require('../cfg/res.php');
require('../cfg/cfg.php');

$sql_car1='select * from clte1 where docu="CAR1" and enti="'.$_SESSION['user_vcrx_id'].'"';
$res_car1=mysql_query($sql_car1,$link_vcrx);

if(mysql_num_rows($res_car1)==0)
{
	//$sql_docu='select docu_numero from docu0 where docu_codigo="CAR1"';
	//$res_docu=mysql_query($sql_docu,$link_vcrx);
	//$num_docu=mysql_result($res_docu,0,'docu_numero');
	
	//$sql_docu='update docu0 set docu_numero=docu_numero+1 where docu_codigo="CAR1"';
	//mysql_query($sql_docu,$link_vcrx);

	require('../../_lib/vrdocu0.php');
	$docu=new vrdocu0('../cfg/res.php','CAR1');
	
	$num_docu= $docu->numero;
	$num_docu++;
	//echo $docu->sql;

	
	$sql_clte1='insert into clte1(
	empr,
	docu,
	numero,
	fecha,
	enti,
	concepto,
	iuser,
	idate
	)
	values(
	"'.strtoupper($empr_codigo).'",
	"CAR1",
	'.$num_docu.',
	NOW(),
	"'.$_SESSION['user_vcrx_id'].'",
	"SHOPPING CART",
	"'.$_SESSION['user_vcrx_id'].'",
	NOW()
	)';
	mysql_query($sql_clte1,$link_vcrx);
	$docu->vrdocu_setplus();
	$res_car1=mysql_query($sql_car1,$link_vcrx);

}
$pk=mysql_result($res_car1,0,'idnum1');

$sql_clte2='select max(iddet) as pk2 from clte2 where idnum2='.$pk;
$res_clte2=mysql_query($sql_clte2,$link_vcrx);
$pk2= mysql_result($res_clte2,0,'pk2');
$pk2++;

//echo $sql_clte1;
//echo '++++++';
//echo $_POST['id'];

//mysql_query($sql_clte1,$link_vcrx);
//$sql_pedido_pk='SELECT MAX(idnum1)as codigo from clte1 WHERE  enti="'.$_SESSION['user_vcrx_id'].'"';
//$res_pedido_pk=mysql_query($sql_pedido_pk,$link_vcrx);
//$pk= mysql_result($res_pedido_pk,0,'codigo');



$sql_dcto='select enti_dcto as dcto from enti0 where enti_codigo="'.$_SESSION['user_vcrx_id'].'"';
$res_dcto=mysql_query($sql_dcto,$link_vcrx);

if(mysql_num_rows($res_dcto)==0)
{
	$dcto=0;
}
else
{
	$dcto=mysql_result($res_dcto,0,'dcto');
}
if(empty($dcto))
{
	$dcto=0;
}

$dcto=0;
$sql_item='SELECT 
			item_pvp1 as pvp ,
			item_iva as iva,
			item_ice as ice,
			item_puni as puni,
			item_dcto as dcto
			from item0
			where item_codigo="'.$_POST['ite'].'"';

/*
$sql_disp='select * from disbode 
			where item="'.$_POST['ite'].'"';
$res_disp=mysql_query($sql_disp,$link_vcrx);
if(mysql_num_rows($res_disp)==0)
{
	$disponible=9999;
}
else
{
	$disponible=mysql_result($res_disp,0,'dispo');
}
*/
$res_item=mysql_query($sql_item,$link_vcrx);
$pvp=mysql_result($res_item,0,'pvp');
$iva=mysql_result($res_item,0,'iva');
$ice=mysql_result($res_item,0,'ice');
$puni=mysql_result($res_item,0,'puni');
$dcto=mysql_result($res_item,0,'dcto');
/*
if($_POST['cantidad']>$disponible)
{
	$cant=$disponible;
	//echo 'No Hay Disponible';
}
else
{
	$cant=$_POST['cantidad'];
}
*/

//+++++++ borrar para activar disponibles


//$cant=$_POST['cantidad'];
$cant=1;
$sql_pedido_d='insert into clte2(
idnum2,
iddet,
cant,
puni,
dcto,
iva,
item,
cantio
)
values(
'.$pk.',
'.$pk2.',
1,
'.$puni.',
'.$dcto.',
'.$iva.',
"'.$_POST['ite'].'",
'.$cant.'
)';

if(!mysql_query($sql_pedido_d,$link_vcrx))
{
	echo $sql_pedido_d;
	mysql_error($link_vcrx);
	
}


?>